<?php if ($page['sidebar_offcanvas']) : ?>
<!-- #offcanvas-sidebar -->
<div id="offcanvas-container" class="hidden-xs colored-background-area">
  <nav id="offcanvas-sidebar" class="navmenu navmenu-default <?php print $offcanvas_side; ?> offcanvas offcanvas-area hidden-xs" role="navigation">
    <?php print render($page['sidebar_offcanvas']); ?>
  </nav>
  <div class="offcanvas-trigger hidden-xs">
    <button type="button" data-toggle="offcanvas" data-target="#offcanvas-sidebar"><i class="fa fa-navicon"></i></button>
  </div>
</div>
<!-- EOF:#offcanvas-sidebar -->
<?php endif; ?>

<!-- #header-container -->
<div id="header-container">
  <!-- #header -->
  <header id="header" role="banner" class="clearfix">
    <div class="<?php print $header_layout_mode; ?>">

      <!-- #header-inside -->
      <div id="header-inside" class="clearfix">
        <div class="row">
          <div class="col-md-12 col-lg-3">
          <!-- #header-inside-left -->
            <div id="header-inside-left" class="clearfix colored-background-area">

              <?php if ($logo):?>
                <div id="logo">
                  <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"> <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" /> </a>
                </div>
              <?php endif; ?>

              <?php if ($site_name):?>
                <div id="site-name">
                  <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>"><?php print $site_name; ?></a>
                </div>
              <?php endif; ?>

              <?php if ($site_slogan):?>
                <div id="site-slogan">
                  <?php print $site_slogan; ?>
                </div>
              <?php endif; ?>

              <?php if ($page['header']) :?>
                <?php print render($page['header']); ?>
              <?php endif; ?>

            </div>
          <!-- EOF:#header-inside-left -->
          </div>

          <div class="col-md-12 col-lg-9">
          <!-- #header-inside-right -->
            <div id="header-inside-right" class="clearfix dark-background-area <?php if ($page['sidebar_offcanvas']) { ?> with-offcanvas-region <?php } ?>">

              <?php if ($page['search_area']) :?>
                <div id="search-area" class="clearfix">
                  <?php print render($page['search_area']); ?>
                </div>
              <?php endif; ?>

              <!-- #main-navigation -->
              <div id="main-navigation" class="clearfix <?php if ($page['search_area']) { ?> with-search-bar <?php } ?>">
                <nav role="navigation">
                <?php if ($page['navigation']) :?>
                  <?php print render($page['navigation']); ?>
                <?php else : ?>
                  <div id="main-menu">
                    <?php print theme('links__system_main_menu', array('links' => $main_menu, 'attributes' => array('class' => array('main-menu', 'menu'), ), 'heading' => array('text' => t('Main menu'), 'level' => 'h2', 'class' => array('element-invisible'), ), )); ?>
                  </div>
                <?php endif; ?>
                </nav>
              </div>
              <!-- EOF: #main-navigation -->
            </div>
          <!-- EOF:#header-inside-right -->
          </div>

        </div>
      </div>
      <!-- EOF: #header-inside -->

    </div>
  </header>
  <!-- EOF: #header -->
</div>
<!-- EOF: #header-container -->

<?php if ($page['banner']) : ?>
  <!-- #banner -->
  <div id="banner" class="clearfix">

    <div class="banner-area">
      <?php print render($page['banner']); ?>
    </div>

  </div>
  <!-- EOF:#banner -->
<?php endif; ?>

<!-- #page -->
<div id="page" class="clearfix">


  <?php if ($page['highlighted_top']):?>
    <!-- #top-content -->
    <div class="<?php print $highlighted_top_layout_mode; ?>">
      <div class="row">
        <div class="col-md-12">
          <div id="highlighted-top" class="clearfix">

            <!-- #highlighted-top-inside -->
            <div id="highlighted-top-inside" class="clearfix">
            <?php print render($page['highlighted_top']); ?>
            </div>
            <!-- EOF:#highlighted-top-inside -->

          </div>
        </div>
      </div>
    </div>
    <!-- EOF: #top-content -->
  <?php endif; ?>

  <?php if ($page['media_background']):?>
    <div id="media-background-wrapper" class="clearfix">
    <!-- #top-content -->

      <div id="media-background" class="dark-background-area">
        <div id="media-background-parallax-transparency"></div>
        <div class="<?php print $parallax_layout_mode; ?>">
          <div class="row">
            <div class="col-md-12">

              <!-- #media_background-inside -->
              <div id="media-background-inside" class="clearfix">
                <?php print render($page['media_background']); ?>
              </div>
              <!-- EOF:#media_background-inside -->

            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- EOF: #top-content -->
  <?php endif; ?>

  <?php if ($page['highlighted']):?>
    <!-- #top-content -->
    <div class="<?php print $highlighted_layout_mode; ?>">
      <div class="row">
        <div class="col-md-12">
          <div id="highlighted" class="clearfix">

            <!-- #highlighted-top-inside -->
            <div id="highlighted-inside" class="clearfix">
            <?php print render($page['highlighted']); ?>
            </div>
            <!-- EOF:#highlighted-top-inside -->

          </div>
        </div>
      </div>
    </div>
    <!-- EOF: #top-content -->
  <?php endif; ?>

  <!-- #main-content -->
  <div id="main-content">
    <div class="container">
      <div class="row">
          <div class="col-md-12">

            <!-- #messages-console -->
            <?php if ($messages):?>
              <div id="messages-console" class="clearfix">
                <div class="row">
                  <div class="col-md-12">
                    <?php print $messages; ?>
                  </div>
                </div>
              </div>
            <?php endif; ?>
            <!-- EOF: #messages-console -->

          </div>
      </div>

      <div class="row">

        <?php if ($page['sidebar_first']):?>
          <aside class="<?php print $sidebar_grid_class; ?>">
            <!--#sidebar-->
            <section id="sidebar-first" class="sidebar clearfix">
              <?php print render($page['sidebar_first']); ?>
            </section>
            <!--EOF:#sidebar-->
          </aside>
        <?php endif; ?>

        <section class="<?php print $main_grid_class; ?>">

          <!-- #main -->
          <div id="main" class="clearfix">

            <!-- Breadcrumb -->
            <?php if ($breadcrumb && theme_get_setting("breadcrumb_display")):?>
              <div id="breadcrumb" class="clearfix">
                <div id="breadcrumb-inside" class="clearfix">
                  <?php print $breadcrumb; ?>
                </div>
              </div>
            <?php endif; ?>
            <!-- EOF:Breadcrumb -->

            <?php print render($page['help']); ?>

            <?php print render($title_prefix); ?>
            <?php if ($title): ?><h1 class="title" id="page-title"><?php print $title; ?></h1><?php endif; ?>
            <?php print render($title_suffix); ?>

            <!-- #tabs -->
            <?php if ($tabs):?>
              <div class="tabs">
                <?php print render($tabs); ?>
              </div>
            <?php endif; ?>
            <!-- EOF: #tabs -->

            <!-- #action links -->
            <?php if ($action_links):?>
              <ul class="action-links">
                <?php print render($action_links); ?>
              </ul>
            <?php endif; ?>
            <!-- EOF: #action links -->

            <!-- <?php print render($title_suffix); ?> -->
            <?php if (theme_get_setting('frontpage_content_print') || !drupal_is_front_page()):?>
              <?php print render($page['content']); ?>
              <?php print $feed_icons; ?>
            <?php endif; ?>

          </div>
          <!-- EOF:#main -->

        </section>

        <?php if ($page['sidebar_second']):?>
          <aside class="<?php print $sidebar_grid_class; ?>">
          <!--#sidebar-->
            <section id="sidebar-second" class="sidebar clearfix">
              <?php print render($page['sidebar_second']); ?>
            </section>
          <!--EOF:#sidebar-->
          </aside>
        <?php endif; ?>

      </div>

    </div>
  </div>
  <!-- EOF:#main-content -->

  <?php if ($page['bottom_highlighted']):?>
    <!-- #bottom-content -->
    <div id="highlighted-bottom" class="clearfix">
      <div class="container">

        <!-- #bottom-content-inside -->
        <div id="highlighted-bottom-inside" class="clearfix">
          <div class="row">
            <div class="col-md-12">
              <?php print render($page['bottom_highlighted']); ?>
            </div>
          </div>
        </div>
        <!-- EOF:#bottom-content-inside -->

      </div>
    </div>
    <!-- EOF: #bottom-content -->
  <?php endif; ?>

</div>
<!-- EOF: #page -->

<?php if ($page['footer_first'] || $page['footer_second'] || $page['footer_third'] || $page['footer_fourth'] || $page['footer'] || $page['footer_bottom_first'] || $page['footer_bottom_third'] || $page['footer_top']):?>
  <!-- #footer -->
  <footer id="footer" class="clearfix dark-background-area">
    <div id="footer-top-wrapper" class="clearfix">
      <div class="container">

        <?php if ($page['footer_top']):?>
        <!-- #bottom-content -->
          <div id="footer-top-highlighted" class="clearfix">
              <!-- #bottom-content-inside -->
            <div id="footer-top-highlighted-inside" class="clearfix">
              <div class="row">
                <div class="col-md-12">
                  <div class="footer-area">
                    <?php print render($page['footer_top']); ?>
                  </div>
                </div>
              </div>
            </div>
            <!-- EOF:#bottom-content-inside -->
          </div>
        <!-- EOF: #bottom-content -->
        <?php endif; ?>

        <?php if ($page['footer_first'] || $page['footer_second'] || $page['footer_third'] || $page['footer_fourth']):?>
          <!-- #footer-top -->
          <div id="footer-top" class="clearfix">
            <div class="row">
              <div class="<?php print $footer_grid_class; ?>">
                <?php if ($page['footer_first']):?>
                  <div class="footer-area">
                    <?php print render($page['footer_first']); ?>
                  </div>
                <?php endif; ?>
              </div>

              <?php if ($page['footer_second']):?>
                <div class="<?php print $footer_grid_class; ?>">
                  <div class="footer-area">
                    <?php print render($page['footer_second']); ?>
                  </div>
                </div>
              <?php endif; ?>

            <div class="clearfix visible-sm"></div>

            <?php if ($page['footer_third']):?>
              <div class="<?php print $footer_grid_class; ?>">
                  <div class="footer-area">
                    <?php print render($page['footer_third']); ?>
                  </div>
              </div>
            <?php endif; ?>

              <?php if ($page['footer_fourth']):?>
                <div class="<?php print $footer_grid_class; ?>">
                  <div class="footer-area">
                    <?php print render($page['footer_fourth']); ?>
                  </div>
                </div>
              <?php endif; ?>
            </div>
          </div>
          <!-- EOF: #footer-top -->
        <?php endif; ?>

      </div>
    </div>

    <?php if ($page['footer'] || $page['footer_bottom_first'] || $page['footer_bottom_third']):?>
      <div id="footer-bottom-wrapper" class="clearfix">
        <div class="container">

          <!-- #footer-bottom -->
          <div id="footer-bottom" class="clearfix">
            <div class="row">

              <div class="<?php print $footer_bottom_first_grid_class; ?>">
                <?php if ($page['footer_bottom_first']):?>
                  <div class="footer-area">
                    <?php print render($page['footer_bottom_first']); ?>
                  </div>
                <?php endif; ?>
              </div>

              <div class="<?php print $footer_bottom_second_grid_class; ?>">
                <?php if ($page['footer']):?>
                  <div class="footer-area">
                    <?php print render($page['footer']); ?>
                  </div>
                <?php endif; ?>
              </div>

              <div class="<?php print $footer_bottom_third_grid_class; ?>">
                <?php if ($page['footer_bottom_third']):?>
                  <div class="footer-area">
                    <?php print render($page['footer_bottom_third']); ?>
                  </div>
                <?php endif; ?>
              </div>

            </div>
          </div>
          <!-- EOF:#footer-bottom -->
        </div>
      </div>

    <?php endif; ?>

  </footer>
  <!-- EOF #footer -->
<?php endif; ?>

<!-- #map-canvas -->
<div id="map-canvas">
</div>
<!-- EOF:#map-canvas -->

<?php if ($page['sub_footer_first'] || $page['sub_footer_second']):?>
  <div id="subfooter" class="clearfix">
    <div class="container">

      <!-- #subfooter-inside -->
      <div id="subfooter-inside" class="clearfix">
        <div class="row">
          <div class="col-md-4">
            <!-- #subfooter-left -->
            <?php if ($page['sub_footer_first']):?>
              <div class="subfooter-area left">
                <?php print render($page['sub_footer_first']); ?>
              </div>
            <?php endif; ?>
            <!-- EOF: #subfooter-left -->
          </div>
          <div class="col-md-8">
            <!-- #subfooter-right -->
            <?php if ($page['sub_footer_second']):?>
              <div class="subfooter-area right">
                <?php print render($page['sub_footer_second']); ?>
              </div>
            <?php endif; ?>
            <!-- EOF: #subfooter-right -->
          </div>
        </div>
      </div>
      <!-- EOF: #subfooter-inside -->

    </div>
  </div><!-- EOF:#subfooter -->
<?php endif; ?>

<?php if (theme_get_setting('scrolltop_display')): ?>
  <div id="toTop"><i class="fa fa-angle-double-up"></i></div>
<?php endif; ?>
